#delimit ;
set more 1;
set matsize 750;
log using /volumes/ddisk/immigration/programs/chapter_4/Figure_4_1.log, replace;


*USES COUNTS FOR MEN & WOMEN;

use /volumes/ddisk/immigration/programs/chapter_4/aggregate/count_nat_mf.dta, clear;
sort survey edcode expcode;

generate percent=immiglf/(immiglf+nativelf);
generate ppercent=pimmig/(pimmig+pnative);

tabulate expcode survey if edcode==1, sum(percent) me noobs nofreq;
tabulate expcode survey if edcode==2, sum(percent) me noobs nofreq;
tabulate expcode survey if edcode==3, sum(percent) me noobs nofreq;
tabulate expcode survey if edcode==4, sum(percent) me noobs nofreq;
tabulate expcode survey if edcode==5, sum(percent) me noobs nofreq;

collapse (sum) immiglf nativelf pimmig pnative, by(survey edcode);

generate percent=immiglf/(immiglf+nativelf);
generate ppercent=pimmig/(pimmig+pnative);

tabulate survey edcode, sum(percent) me noobs nofreq;
tabulate survey edcode, sum(ppercent) me noobs nofreq;

collapse (sum) immiglf nativelf pimmig pnative, by(survey);

generate percent=immiglf/(immiglf+nativelf);
generate ppercent=pimmig/(pimmig+pnative);

tabulate survey, sum(percent) me noobs nofreq;
tabulate survey, sum(ppercent) me noobs nofreq;

log close;

